udm:
  system:
    display: "System"
    list:
    - name: "serviceIP"
      type: "ipv4"
      value: "172.16.5.140"
      access: "read-write"
      filter: ''
      display: "Service IP"
      comment: ""
    - name: "servicePort"
      type: "int"
      value: "8080"
      access: "read-write"
      filter: "0~65535"
      display: "Service Port"
      comment: "0~65535"
    - name: "nrfUri"
      type: "string"
      value: "http://172.16.5.180:8080"
      access: "read-write"
      filter: ''
      display: "NRF URI"
      comment: ""
    - name: "ausfIP"
      type: "ipv4"
      value: "172.16.5.130"
      access: "read-write"
      filter: ''
      display: "AUSF IP"
      comment: ""
    - name: "fqdn"
      type: "string"
      value: "agt.com"
      access: "read-write"
      filter: ''
      display: "fqdn"
      comment: ""
    - name: "priority"
      type: "int"
      value: "1"
      access: "read-write"
      filter: "0~4095"
      display: "Priority"
      comment: "0~4095"
    - name: "capacity"
      type: "int"
      value: "4096"
      access: "read-write"
      filter: "0~65535"
      display: "Capacity"
      comment: "0~65535"
    - name: "groupId"
      type: "string"
      value: "0"
      access: "read-write"
      filter: ''
      display: "Group Id"
      comment: "0~31"
    - name: "supiRanges"
      type: "regex"
      value: "imsi-001010100080000~imsi-001010100080099"
      access: "read-write"
      filter: '^imsi-\d{15}~imsi-\d{15}$'
      display: "SUPI Ranges"
      comment: ""
    - name: "gpsiRanges"
      type: "regex"
      value: "msisdn-69072000~msisdn-69072099"
      access: "read-write"
      filter: '^msisdn-\d{2,15}~msisdn-\d{2,15}$'
      display: "GPSI Ranges"
      comment: ""
    - name: "scheme"
      type: "enum"
      value: "0"
      access: "read-write"
      filter: "{\"0\":\"http\", \"1\":\"https\"}"
      display: "scheme"
      comment: ""
  subsUEAmbr:
    display: "Subs UE AMBR"
    array:
      - name: "index"
        type: "int"
        value: "1"
        access: "read-only"
        filter: '^\d{1,2}$'
        display: "Index"
        comment: "1~16"
      - name: "name"
        type: "string"
        value: 'def_ambr'
        access: "read-write"
        filter: '^.{1,32}$'
        display: "Name"
        comment: "1~32"
      - name: "uplink"
        type: "string"
        value: '1Gbps'
        access: "read-write"
        filter: '^\d+(\.\d+)?( ?)(bps|Kbps|Mbps|Gbps|Tbps)$'
        display: "Uplink"
        comment: ""
      - name: "downlink"
        type: "string"
        value: '2Gbps'
        access: "read-write"
        filter: '^\d+(\.\d+)?( ?)(bps|Kbps|Mbps|Gbps|Tbps)$'
        display: "Downlink"
        comment: ""
  subsNssais:
    display: "Subs Nssais"
    array:
      - name: "index"
        type: "int"
        value: "1"
        access: "read-only"
        filter: '^\d{1,2}$'
        display: "Index"
        comment: "1~16"
      - name: "name"
        type: "string"
        value: 'def_nssai'
        access: "read-write"
        filter: '^.{1,32}$'
        display: "Name"
        comment: "1~32"
      - name: "supportedFeatures"
        type: "string"
        value: "1"
        access: "read-write"
        filter: '8~8'
        display: "Supported Features"
        comment: "8~8"
      - name: "defaultSingleNSSAIs"
        type: "string"
        value: '1-000001'
        access: "read-write"
        filter: ''
        display: "Default Single NSSAIs"
        comment: "0~128"
      - name: "singleNssais"
        type: "string"
        value: '1-000002'
        access: "read-write"
        filter: ''
        display: "Single Nssais"
        comment: "0~128"
  forbiddenAreas:
    display: "Forbidden Areas"
    array:
      - name: "index"
        type: "int"
        value: "1"
        access: "read-only"
        filter: '^\d{1,2}$'
        display: "Index"
        comment: "1~16"
      - name: "name"
        type: "string"
        value: 'def_ambr'
        access: "read-write"
        filter: '^.{1,32}$'
        display: "Name"
        comment: "1~32"
      - name: "tacs"
        type: "string"
        value: '123'
        access: "read-write"
        filter: ''
        display: "TACs"
        comment: "0~128"
      - name: "areaCodes"
        type: "string"
        value: '123456'
        access: "read-write"
        filter: ''
        display: "AreaCodes"
        comment: "0~128"
  serviceAreaRestriction:
    display: "Service Area Restriction"
    array:
      - name: "index"
        type: "int"
        value: "1"
        access: "read-only"
        filter: '^\d{1,2}$'
        display: "Index"
        comment: "1~16"
      - name: "name"
        type: "string"
        value: 'def_ambr'
        access: "read-write"
        filter: '^.{1,32}$'
        display: "Name"
        comment: "1~32"
      - name: "restrictionType"
        type: "enum"
        value: '0'
        access: "read-write"
        filter: "{\"0\":\"allowedAreas\", \"1\":\"notAllowedAreas\"}"
        display: "Restriction Type"
        comment: "0~128"
      - name: "tacs"
        type: "string"
        value: '123'
        access: "read-write"
        filter: ''
        display: "TACs"
        comment: "0~128"
      - name: "areaCodes"
        type: "string"
        value: '123456'
        access: "read-write"
        filter: ''
        display: "AreaCodes"
        comment: "0~128"
      - name: "maxTAs"
        type: "int"
        value: "1"
        access: "read-write"
        filter: '^\d{1,2}$'
        display: "Max TAs"
        comment: "0~32"
  smfSelection:
    display: "Subs Smf Selection"
    array:
      - name: "index"
        type: "int"
        value: "1"
        access: "read-only"
        filter: '1~16'
        display: "Index"
        comment: "1~16"
      - name: "name"
        type: "string"
        value: 'def_snssai'
        access: "read-write"
        filter: '^.{1,32}$'
        display: "Name"
        comment: "0~32"
      - name: "snssai"
        type: "string"
        value: '1-000001'
        access: "read-write"
        filter: '^\d{1,3}[A-Fa-f0-9]{6}$'
        display: "Snssai"
        comment: ""
      - name: "dnnList"
        type: "int"
        value: '1'
        access: "read-only"
        filter: '1~4'
        display: "Dnn List"
        comment: ""
        array:
        - name: "index"
          type: "int"
          value: "1"
          access: "read-only"
          filter: '1~4'
          display: "index"
          comment: "1~4"
        - name: "dnn"
          type: "string"
          value: 'cmnet'
          access: "read-write"
          filter: '^.{1,32}$'
          display: "Dnn"
          comment: "0~32"
        - name: "defaultDnnInd"
          type: "bool"
          value: 'true'
          access: "read-write"
          filter: 'false;true;'
          display: "default Dnn Indicator"
          comment: ""
        - name: "lboRoamingAllowed"
          type: "bool"
          value: 'false'
          access: "read-write"
          filter: 'false;true;'
          display: "LBO Roaming Allowed"
          comment: "LBO Roaming Allowed"
        - name: "iwkEpsInd"
          type: "bool"
          value: 'false'
          access: "read-write"
          filter: 'false;true;'
          display: "Iwk EPS Ind"
          comment: "Iwk EPS Ind"
        - name: "ladnIndicator"
          type: "bool"
          value: 'false'
          access: "read-write"
          filter: 'false;true;'
          display: "LADN Indicator"
          comment: "LADN Indicator"
  dnn:
    display: "Dnn Conf"
    array:
      - name: "index"
        type: "int"
        value: "1"
        access: "read-only"
        filter: '^\d{1,2}$'
        display: "Index"
        comment: "1~16"
      - name: "name"
        type: "string"
        value: 'def_nssai'
        access: "read-write"
        filter: '^.{1,32}$'
        display: "Name"
        comment: "1~32"
      - name: "defaultPDUSessionType"
        type: "enum"
        value: "0"
        access: "read-write"
        filter: "{\"0\":\"ipv4\",\"1\":\"ipv6\",\"2\":\"ipv4v6\",\"3\":\"ethernet\",\"4\":\"unstruction\"}"
        display: "Default PDU Session Type"
        comment: ""
      - name: "allowedPDUSessionTypes"
        type: "enum"
        value: '0'
        access: "read-write"
        filter: "{\"0\":\"ipv4\",\"1\":\"ipv6\",\"2\":\"ipv4v6\",\"3\":\"ethernet\",\"4\":\"unstruction\",\"5\":\"ipv4andipv6\",\"6\":\"ipv4andipv4v6\",\"7\":\"ipv6andipv4v6\",\"8\":\"ipv4andipv6andipv4v6\"}"
        display: "Allowed PDU Session Types"
        comment: ""
      - name: "defaultSSCmode"
        type: "enum"
        value: "0"
        access: "read-write"
        filter: "{\"0\":\"sscMode1\",\"1\":\"sscMode2\",\"2\":\"sscMode3\"}"
        display: "Default SSC Mode"
        comment: "1~16"
      - name: "allowedSSCmodes"
        type: "enum"
        value: "0"
        access: "read-write"
        filter: "{\"0\":\"sscMode1\",\"1\":\"sscMode2\",\"2\":\"sscMode3\",\"3\":\"sscMode1sscMode2\",\"4\":\"sscMode1sscMode3\",\"5\":\"sscMode2sscMode3\",\"6\":\"sscMode1sscMode2sscMode3\"}"
        display: "Allowed SSC Modes"
        comment: "1~16"
      - name: "interworkingEPSIndicator"
        type: "bool"
        value: "1"
        access: "read-write"
        filter: ''
        display: "Interworking EPS Indicator"
        comment: ""
      - name: "ladnIndicator"
        type: "bool"
        value: "1"
        access: "read-write"
        filter: ''
        display: "LADN Indicator"
        comment: ""
      - name: "chargingCharacteristics"
        type: "string"
        value: "0001"
        access: "read-write"
        filter: '4~4'
        display: "Charging Characteristics"
        comment: "4~4"
      - name: "subscribedSessionAmbrUL"
        type: "regex"
        value: "1Gbps"
        access: "read-write"
        filter: '^\d+(\.\d+)?( ?)(bps|Kbps|Mbps|Gbps|Tbps)$'
        display: "Subscribed Session Ambr UL"
        comment: ""
      - name: "subscribedSessionAmbrDL"
        type: "regex"
        value: "2Gbps"
        access: "read-write"
        filter: '^\d+(\.\d+)?( ?)(bps|Kbps|Mbps|Gbps|Tbps)$'
        display: "Subscribed Session Ambr DL"
        comment: ""
      - name: "staticIPAddress"
        type: "ipv4"
        value: "192.168.1.100"
        access: "read-write"
        filter: ''
        display: "Static IP Address"
        comment: ""
      - name: "userPlaneIntegrity"
        type: "enum"
        value: "3"
        access: "read-write"
        filter: "{\"0\":\"null\",\"1\":\"required\",\"2\":\"preferred\",\"3\":\"notNeeded\"}"
        display: "User Plane Integrity"
        comment: ""
      - name: "userPlaneConfidentiality"
        type: "enum"
        value: "3"
        access: "read-write"
        filter: "{\"0\":\"null\",\"1\":\"required\",\"2\":\"preferred\",\"3\":\"notNeeded\"}"
        display: "User Plane Confidentiality"
        comment: ""
      - name: "5qi"
        type: "int"
        value: "9"
        access: "read-write"
        filter: "0~255"
        display: "5qi"
        comment: ""
      - name: "priorityLevel"
        type: "int"
        value: "9"
        access: "read-write"
        filter: "1~127"
        display: "Priority Level"
        comment: ""
      - name: "arpPriorityLevel"
        type: "int"
        value: "6"
        access: "read-write"
        filter: "0~255"
        display: "ARP Priority Level"
        comment: ""
      - name: "arpPreemptCap"
        type: "enum"
        value: "0"
        access: "read-write"
        filter: "{\"0\":\"notPreempt\",\"1\":\"mayPreempt\"}"
        display: "ARP PreemptCap"
        comment: ""
      - name: "arpPreemptVuln"
        type: "enum"
        value: "0"
        access: "read-write"
        filter: "{\"0\":\"notPreemptable\",\"1\":\"preemptable\"}"
        display: "ARP PreemptVuln"
        comment: ""
